## bzr-explorer 1.0.1

=== Makefile ===
all:
	@echo Available targets:
	@echo  pot - generate translations template

.PHONY: pot


pot:
	python setup.py build_pot -N

## bzr-explorer 1.0.0

=== debian/changelog ===
bzr-explorer (1.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sun, 28 Feb 2010 09:02:27 -0500

bzr-explorer (1.0.0~b1-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Bump Standards-Version to 3.8.4,
    no changes needed.
  * debian/source/format: Moved to DebSrc version 3.0 (quilt).
  * debian/watch: Use mangling to support beta releases.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Wed, 10 Feb 2010 15:23:10 -0500

bzr-explorer (0.11.2-1) unstable; urgency=low

  * New upstream release.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Mon, 25 Jan 2010 16:51:26 -0500

bzr-explorer (0.10.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Bump Depends on qbzr to >=0.17

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 25 Dec 2009 10:25:51 -0500

bzr-explorer (0.9.0-1) unstable; urgency=low

  * Initial release. (Closes: #554034) (LP: #425507)

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Wed, 04 Nov 2009 14:57:02 -0500

=== debian/control ===
Source: bzr-explorer
Section: vcs
Priority: extra
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Andrew Starr-Bochicchio <a.starr.b@gmail.com>
Build-Depends: cdbs,
               debhelper (>= 6),
               python-central (>= 0.5.6),
               python (>= 2.4)
Build-Depends-Indep: python-distutils-extra
Standards-Version: 3.8.4
XS-Python-Version: >= 2.4
Vcs-Bzr: http://bzr.debian.org/bzr/pkg-bazaar/bzr-explorer/unstable
Vcs-Browser: http://bzr.debian.org/loggerhead/bzr/pkg-bazaar/bzr-explorer/unstable/files
Homepage: http://doc.bazaar-vcs.org/explorer/

Package: bzr-explorer
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${misc:Depends},
         ${python:Depends},
         bzr (>= 1.14),
         qbzr (>= 0.17),
         tango-icon-theme
Suggests: bzr-gtk
Description: GUI application for using Bazaar
 Bazaar Explorer is a desktop application providing an easy-to-use
 interface to the Bazaar version control system. It is designed to
 be simple enough for casual users of version control, yet powerful
 enough for experts to be productive.
 .
 It provides a high level interface to all commonly used features,
 launching "applets" from the QBzr plug-in to provide most of the
 functionality. Alternatively, the applets from the bzr-gtk plug-in
 can be used if it is installed.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM=pycentral

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

install/bzr-explorer::
	dh_installchangelogs NEWS
	dh_install debian/bzr-explorer.xpm $(DESTDIR)/usr/share/pixmaps
	dh_install bzr-explorer.desktop $(DESTDIR)/usr/share/applications
	# Make lintian happy by not installing an extra copyright file.
	find . -name "COPYING.txt" -delete

=== debian/watch ===
version=3
opts="uversionmangle=s/(b[0-9]+)$/~\\1/" \
https://launchpad.net/bzr-explorer/+download http://launchpad.net/bzr-explorer/.*/bzr-explorer-(.*)\.tar\.gz

## bzr-explorer 1.0.1

=== debian/changelog ===
bzr-explorer (1.0.1-0ubuntu1) lucid; urgency=low

  * New bugfix upstream release.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Mon, 12 Apr 2010 22:21:05 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: bzr-explorer
 Section: vcs
 Priority: extra
-Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
 Uploaders: Andrew Starr-Bochicchio <a.starr.b@gmail.com>
 Build-Depends: cdbs,
                debhelper (>= 6),

## bzr-explorer 1.1.0

=== Makefile ===
all:
	@echo Available targets:
	@echo  pot - generate translations template

.PHONY: pot mo


pot:
	python setup.py build_pot -N -d.

mo:
	python setup.py build_mo -f

=== debian/changelog ===
bzr-explorer (1.1.0-0ubuntu1) maverick; urgency=low

  * Update to final release.
  * debian/control: Bump qbzr depends to >= 0.19.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Thu, 30 Sep 2010 11:18:05 -0400

bzr-explorer (1.1.0~beta1-1) unstable; urgency=low

  [ Andrew Starr-Bochicchio ]
  * Bump Standards-Version to 3.9.1, no changes needed.

  [ Gary van der Merwe ]
  * New upstream release.
  * Update watch to also unmangle ~beta (and not just ~b) versions.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 20 Aug 2010 19:12:35 +0200

bzr-explorer (1.0.2-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/control: Fix homepage field.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Mon, 14 Jun 2010 15:21:26 -0400

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: bzr-explorer
 Section: vcs
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
-Uploaders: Andrew Starr-Bochicchio <a.starr.b@gmail.com>
+Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
+Uploaders: Andrew Starr-Bochicchio <a.starr.b@gmail.com>,
+           Jelmer Vernooij <jelmer@debian.org>
 Build-Depends: cdbs,
                debhelper (>= 6),
                python-central (>= 0.5.6),
                python (>= 2.4)
 Build-Depends-Indep: python-distutils-extra
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 XS-Python-Version: >= 2.4
 Vcs-Bzr: http://bzr.debian.org/bzr/pkg-bazaar/bzr-explorer/unstable
 Vcs-Browser: http://bzr.debian.org/loggerhead/bzr/pkg-bazaar/bzr-explorer/unstable/files
-Homepage: http://doc.bazaar-vcs.org/explorer/
+Homepage: http://doc.bazaar.canonical.com/explorer/en/
 
 Package: bzr-explorer
 Architecture: all
@@ -21,7 +21,7 @@
 Depends: ${misc:Depends},
          ${python:Depends},
          bzr (>= 1.14),
-         qbzr (>= 0.17),
+         qbzr (>= 0.19),
          tango-icon-theme
 Suggests: bzr-gtk
 Description: GUI application for using Bazaar

## bzr-explorer 1.1.2

=== debian/changelog ===
bzr-explorer (1.1.2-2) unstable; urgency=low

  * debian/rules: Enable tests at build time.
  * debian/control:
   - Build depend on bzr, qbzr, python-testools,
     xvfb, and xauth.
   - Add Enhances: bzr
   - Recommend ssh-askpass (LP: #736436).
  * Transition from python-central to dh_python2
    (Closes: #616756).
  * Merge upstream rev 500 fixing test failure.
  * Move from CDBS to debhelper 7.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Wed, 16 Mar 2011 22:50:19 -0400

bzr-explorer (1.1.2-1) unstable; urgency=low

  [ Andrew Starr-Bochicchio ]
  * New upstream release.
  * debian/control: Bump qbzr depends to >= 0.19.

  [ Max Bowsher ]
  * New upstream release.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Thu, 17 Feb 2011 20:10:01 -0500

=== debian/control ===
--- 
+++ 
@@ -4,26 +4,30 @@
 Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
 Uploaders: Andrew Starr-Bochicchio <a.starr.b@gmail.com>,
            Jelmer Vernooij <jelmer@debian.org>
-Build-Depends: cdbs,
-               debhelper (>= 6),
-               python-central (>= 0.5.6),
-               python (>= 2.4)
+Build-Depends: bzr (>= 1.14),
+               debhelper (>= 7.0.50~),
+               python-testtools,
+               python (>= 2.6.6-3),
+               qbzr,
+               xvfb,
+               xauth
 Build-Depends-Indep: python-distutils-extra
 Standards-Version: 3.9.1
-XS-Python-Version: >= 2.4
+X-Python-Version: >=2.4
 Vcs-Bzr: http://bzr.debian.org/bzr/pkg-bazaar/bzr-explorer/unstable
 Vcs-Browser: http://bzr.debian.org/loggerhead/bzr/pkg-bazaar/bzr-explorer/unstable/files
 Homepage: http://doc.bazaar.canonical.com/explorer/en/
 
 Package: bzr-explorer
 Architecture: all
-XB-Python-Version: ${python:Versions}
 Depends: ${misc:Depends},
          ${python:Depends},
          bzr (>= 1.14),
          qbzr (>= 0.19),
          tango-icon-theme
+Recommends: ssh-askpass
 Suggests: bzr-gtk
+Enhances: bzr
 Description: GUI application for using Bazaar
  Bazaar Explorer is a desktop application providing an easy-to-use
  interface to the Bazaar version control system. It is designed to

## bzr-explorer 1.2.0

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 
 pot:
-	python setup.py build_pot -N -d.
+	python setup.py build_pot -N
 
 mo:
 	python setup.py build_mo -f

=== debian/changelog ===
bzr-explorer (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Update Vcs-* fields. 
  * bzr-explorer.lintian-overrides: Fix format so
    lintian correctly picks it up again. 

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Thu, 21 Jul 2011 12:53:07 -0400

bzr-explorer (1.1.3-1) unstable; urgency=low

  * New upstream release.
  * Depend on bzr >= 2.3, as required by bzr-explorer

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 10 Jun 2011 12:14:47 +0100

bzr-explorer (1.1.2-4) unstable; urgency=low

  * Re-arrange | condition in build deps to make sbuild happy.
  * Bump standards version to 3.9.2 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 06 May 2011 03:02:22 +0200

bzr-explorer (1.1.2-3) unstable; urgency=low

  * Add build dependency on python-bzrlib.tests, required for
    compatibility with newer versions of Bazaar.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 01 May 2011 04:42:02 +0200

## bzr-explorer 1.2.1

=== debian/changelog ===
bzr-explorer (1.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Wed, 10 Aug 2011 16:00:59 -0400

=== debian/control ===
--- 
+++ 
@@ -4,25 +4,26 @@
 Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
 Uploaders: Andrew Starr-Bochicchio <a.starr.b@gmail.com>,
            Jelmer Vernooij <jelmer@debian.org>
-Build-Depends: bzr (>= 1.14),
+Build-Depends: bzr (>= 2.3),
                debhelper (>= 7.0.50~),
                python-testtools,
                python (>= 2.6.6-3),
                qbzr,
                xvfb,
-               xauth
+               xauth,
+               python-bzrlib.tests | bzr (<< 2.4.0~beta1-2)
 Build-Depends-Indep: python-distutils-extra
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 X-Python-Version: >=2.4
-Vcs-Bzr: http://bzr.debian.org/bzr/pkg-bazaar/bzr-explorer/unstable
-Vcs-Browser: http://bzr.debian.org/loggerhead/bzr/pkg-bazaar/bzr-explorer/unstable/files
+Vcs-Bzr: http://anonscm.debian.org/bzr/bzr/pkg-bazaar/bzr-explorer/unstable/
+Vcs-Browser: http://anonscm.debian.org/loggerhead/pkg-bazaar/bzr-explorer/unstable/files
 Homepage: http://doc.bazaar.canonical.com/explorer/en/
 
 Package: bzr-explorer
 Architecture: all
 Depends: ${misc:Depends},
          ${python:Depends},
-         bzr (>= 1.14),
+         bzr (>= 2.3),
          qbzr (>= 0.19),
          tango-icon-theme
 Recommends: ssh-askpass

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --buildsystem=python_distutils --with python2 $*

override_dh_auto_install:
	dh_installchangelogs NEWS
	dh_install debian/bzr-explorer.xpm $(DESTDIR)/usr/share/pixmaps
	dh_install bzr-explorer.desktop $(DESTDIR)/usr/share/applications
	# Make lintian happy by not installing an extra copyright file.
	find . -name "COPYING.txt" -delete
	dh_auto_install
	
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	BZR_PLUGINS_AT=explorer@$(CURDIR) xvfb-run /usr/bin/bzr selftest -s bp.explorer
endif

## bzr-explorer 1.2.2

=== debian/changelog ===
bzr-explorer (1.2.2-1) unstable; urgency=low

  * New upstream release.
  * Replace debian/bzr-explorer.xpm with higher quality
    png icon, and add it to debian/source/include-binaries.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 21 Feb 2012 11:10:08 -0500

bzr-explorer (1.2.1-2) unstable; urgency=low

  [ Andrew Starr-Bochicchio ]
  * debian/copyright: Update to comply with latest
    DEP-5 spec.
  * debian/source/options: Add single-debian-patch.
    Fixes FTBFS with new dpkg (Closes: #643064).
  * debian/control: Add DM-Upload-Allowed: yes field!

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 29 Sep 2011 14:28:50 +0200

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
 Build-Depends-Indep: python-distutils-extra
 Standards-Version: 3.9.2
 X-Python-Version: >=2.4
+DM-Upload-Allowed: yes
 Vcs-Bzr: http://anonscm.debian.org/bzr/bzr/pkg-bazaar/bzr-explorer/unstable/
 Vcs-Browser: http://anonscm.debian.org/loggerhead/pkg-bazaar/bzr-explorer/unstable/files
 Homepage: http://doc.bazaar.canonical.com/explorer/en/

## bzr-explorer 1.3.0~bzr556

=== debian/changelog ===
bzr-explorer (1.3.0~bzr556-1) unstable; urgency=low

  [ Andrew Starr-Bochicchio ]
  * New upstream snapshot (Closes: #670167).
  * debian/copyright: Update format url. 

  [ Jelmer Vernooij ]
  * Bump standards version to 3.9.3 (no changes).
  * Remove myself from uploaders.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Thu, 03 May 2012 01:17:26 -0400

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: vcs
 Priority: extra
 Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
-Uploaders: Andrew Starr-Bochicchio <a.starr.b@gmail.com>,
-           Jelmer Vernooij <jelmer@debian.org>
+Uploaders: Andrew Starr-Bochicchio <a.starr.b@gmail.com>
 Build-Depends: bzr (>= 2.3),
                debhelper (>= 7.0.50~),
                python-testtools,
@@ -13,7 +12,7 @@
                xauth,
                python-bzrlib.tests | bzr (<< 2.4.0~beta1-2)
 Build-Depends-Indep: python-distutils-extra
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >=2.4
 DM-Upload-Allowed: yes
 Vcs-Bzr: http://anonscm.debian.org/bzr/bzr/pkg-bazaar/bzr-explorer/unstable/

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 override_dh_auto_install:
 	dh_installchangelogs NEWS
-	dh_install debian/bzr-explorer.xpm $(DESTDIR)/usr/share/pixmaps
+	dh_install debian/bzr-explorer.png $(DESTDIR)/usr/share/pixmaps
 	dh_install bzr-explorer.desktop $(DESTDIR)/usr/share/applications
 	# Make lintian happy by not installing an extra copyright file.
 	find . -name "COPYING.txt" -delete

=== debian/watch ===
version=3
opts="uversionmangle=s/(b(eta)?[0-9]+)$/~\\1/" \
https://launchpad.net/bzr-explorer/+download http://launchpad.net/bzr-explorer/.*/bzr-explorer-(.*)\.tar\.gz

## bzr-explorer 1.3.0

=== Makefile ===
all:
	@echo Available targets:
	@echo  pot - generate translations template
	@echo   mo - build binary translations
	@echo
	@echo To build release run:
	@echo    make release RELEASE=X.Y.Z

.PHONY: pot mo tarball inno release


pot:
	python setup.py build_pot -N

mo:
	python setup.py build_mo -f


tarball:
	bzr export bzr-explorer-$(RELEASE).tar.gz
	gpg -ab bzr-explorer-$(RELEASE).tar.gz

inno: mo
	iscc extras/explorer.iss
	gpg -ab bzr-explorer-setup-$(RELEASE).exe

release: tarball inno

=== debian/changelog ===
bzr-explorer (1.3.0-2) unstable; urgency=low

  * Non-maintainer upload.
  * Drop DM-Upload-Allowed field.
  * Remove suggests of bzr-gtk, which is about to be removed from the
    archive.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 08 Sep 2013 21:01:30 +0100

bzr-explorer (1.3.0-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Update to correctly find new releases.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 24 Jul 2012 19:29:39 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
 Build-Depends-Indep: python-distutils-extra
 Standards-Version: 3.9.3
 X-Python-Version: >=2.4
-DM-Upload-Allowed: yes
 Vcs-Bzr: http://anonscm.debian.org/bzr/bzr/pkg-bazaar/bzr-explorer/unstable/
 Vcs-Browser: http://anonscm.debian.org/loggerhead/pkg-bazaar/bzr-explorer/unstable/files
 Homepage: http://doc.bazaar.canonical.com/explorer/en/
@@ -27,7 +26,6 @@
          qbzr (>= 0.19),
          tango-icon-theme
 Recommends: ssh-askpass
-Suggests: bzr-gtk
 Enhances: bzr
 Description: GUI application for using Bazaar
  Bazaar Explorer is a desktop application providing an easy-to-use
@@ -37,5 +35,4 @@
  .
  It provides a high level interface to all commonly used features,
  launching "applets" from the QBzr plug-in to provide most of the
- functionality. Alternatively, the applets from the bzr-gtk plug-in
- can be used if it is installed.
+ functionality.

=== debian/watch ===
version=3
opts="uversionmangle=s/(b(eta)?[0-9]+)$/~\\1/" \
http://launchpad.net/bzr-explorer/+download https://launchpad.net/bzr-explorer/.*/bzr-explorer-(.*)\.tar\.gz
